Il android.support.v7.app importazione non può essere risolto

? peter_f @ | Original: StackOverFlow
---

dopo l'aggiornamento di Eclipse Keplero, non sono stato in grado di aggiungere il appcompat libreria di supporto . Ho seguito questa http://developer.android.com/tools/support-library/setup.html#libs-with-res e ho ancora l'errore Il android.support.v7.app importazione non può essere risolto in seguenti linee:

import android.support.v7.app.ActionBar;
import android.support.v7.app.ActionBarActivity;

Ho aggiunto il progetto appcompat, aggiunto due vasetti al percorso di generazione, li selezionato nella scheda Ordine e l'esportazione, e ha aggiunto il progetto di libreria nel progetto principale .

Il android.support.v7.app importazione non può essere risolto

Il android.support.v7.app importazione non può essere risolto

Ho copiato la biblioteca v4 nella cartella librerie nel progetto principale, ma non so che altro fare o controllare . Qualcuno ha qualche suggerimento ??

Thank you!

---

Top 5 Risposta

1Gueste @

Sono nuovo di Eclipse, ma ho avuto lo stesso errore e in qualche modo riparato . Ho avuto 2 progetti, uno dei quali si fissa dopo il riavvio o qualcosa, il primo che ho risolto aggiungendo indietro le importazioni che in qualche modo io o Eclipse cancellati. importazioni miniera sono :

import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ImageView;
import android.widget.TextView;

Sono aggiungere qualsiasi che è ancora necessario . Speranza che aiuta

2Joey Garcia @

Peter, ho avuto lo stesso problema e questo è come ho riparato in Android Studio .

1 ) destro del mouse clicca il progetto dalla finestra riquadro Progetto e selezionare Impostazioni modulo di Open

2 ) Sul lato sinistro, selezionare app, quindi selezionare la scheda Dipendenze in alto a destra

3 ) Fare clic sul pulsante + in basso a sinistra, selezionare Biblioteca Dipendenza

4 ) Sia digitare o selezionare appcompat - v7 ( com.android.support:appcompat-v7:20.0.0 )

5 ) Fare clic su OK nella finestra Scegliere Libreria Dipendenza

6 ) fare clic su OK, o applicare su quella finestra struttura del progetto .

Ora, come dovrebbe essere in grado di tirare nella classe mancante .

3Matheus Santos @

Dopo aver aggiunto appcompat_v7 alle vostre dipendenze, assicurarsi che la cartella libs dal progetto sono vuote . Per impostazione predefinita, un androide -support- v4.jar viene creato quando si definisce il progetto, quindi questo causerà un conflitto quando si dichiara appcompat_v7 libreria come la vostra dipendenza.

Quindi, la prima cosa che dovete fare è controllare la cartella .../My_Project/libs e senza paura cancellare il file android-support-v4.jar .

Quindi, aggiungere la libreria appcompat_v7 come una dipendenza del progetto : Per fare questo, se si utilizza Eclipse :

Right click in your project folder, located in the Navigator. Click in properties, in the final of the list. In the Properties window, select the Android option (left menu). In the box Library, add your new reference.

Se si utilizza Android Studio, è possibile seguire la procedura di cui al commento del Joey Garcia .

Sostenere Setup Biblioteca -  https://developer.android.com/tools/support-library/setup.html

Fatemi sapere se ti ha aiutato . Buona Fortuna!